# eric3.Checks.TabnannyDialog

Module implementing a dialog to show the output of the tabnanny command process.

### Classes

TabnannyDialog | Class implementing a dialog to show the results of the tabnanny check run.

### Functions

None

## TabnannyDialog

Class implementing a dialog to show the results of the tabnanny check run.

### Derived from

TabnannyForm

### Methods

TabnannyDialog | Constructor
buttonPressed | Private slot connected to the button clicked signal.
finish | Private slot called when the action or the user pressed the button.
openFile | Private slot to handle the doubleClicked signal of the result list.
start | Public slot to start the tabnanny check.

### TabnannyDialog (Constructor)

TabnannyDialog(viewmanager, parent = None)

Constructor

viewmanager
  A reference to the viewmanager object.
parent
  The parent widget (QWidget).

### TabnannyDialog.buttonPressed

buttonPressed()

Private slot connected to the button clicked signal.

### TabnannyDialog.finish

finish()

Private slot called when the action or the user pressed the button.

### TabnannyDialog.openFile

openFile(itm)

Private slot to handle the doubleClicked signal of the result list.

itm
  The listview item that was double clicked.

### TabnannyDialog.start

start(fn)

Public slot to start the tabnanny check.

fn
  File or list of files or directory to be checked (string or list of strings)

Up